> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Counterparties



## OpenAPI

````yaml api-reference/openapi-payments.json GET /counterparty
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /counterparty:
    get:
      tags:
        - Counterparty
      summary: List Counterparties
      parameters:
        - description: Name of the account owner. Filterable.
          in: query
          name: name_on_account
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - ach:
                          account_number: '64141601'
                          account_type: checking
                          routing_number: '021001208'
                        created_at: '2017-11-02T11:55:14Z'
                        id: cp_1029384756
                        name_on_account: George Washington
                        plaid_processor_token: null
                        updated_at: '2017-11-02T11:55:14Z'
                        userdata: null
                        wire: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        ach:
                          description: Account information for use with ACH transfers
                          properties:
                            account_number:
                              description: >-
                                Bank account number for ACH use (maximum of 17
                                characters)
                              type: string
                            account_type:
                              description: Either `checking` or `savings`.
                              type: string
                            routing_number:
                              description: >-
                                Valid 9-digit ABA routing transit number
                                associated with the account. See the Routing
                                Number endpoint for additional information.
                              type: string
                          type: object
                        id:
                          description: Unique identifier for object
                          type: string
                        name_on_account:
                          description: Name of the account owner. Filterable.
                          type: string
                        plaid_processor_token:
                          description: >-
                            Plaid processor token, exchanged for an account
                            number and routing number
                          type: string
                        userdata:
                          description: Arbitrary data the user can attach to the object
                          type: object
                        wire:
                          description: Account information for use with wire transfers
                          properties:
                            account_number:
                              description: >-
                                Bank account number for wire use (maximum of 34
                                characters)
                              type: string
                            address_on_account:
                              description: Physical address associated with the account
                              properties:
                                city:
                                  description: City (max 35 characters)
                                  type: string
                                country:
                                  description: >-
                                    Country (ISO 3166-1 alpha-2). Defaults to
                                    `US`
                                  type: string
                                postal_code:
                                  description: >-
                                    Postal code (5-digit or 5+4 Zip Code for
                                    U.S. addresses)
                                  type: string
                                state:
                                  description: >-
                                    State (two letter abbreviation for US, max
                                    35 characters for other countries)
                                  type: string
                                street_line_1:
                                  description: >-
                                    First line of the address (max 35
                                    characters)
                                  type: string
                                street_line_2:
                                  description: >-
                                    Optional second line of the address (max 35
                                    characters)
                                  type: string
                              type: object
                            bank_address:
                              description: Address of the bank
                              properties:
                                city:
                                  description: >-
                                    City (max 35 characters). If omitted,
                                    populated from the Routing Number record for
                                    the wire counterparty; if no record is on
                                    file, the request is rejected.
                                  type: string
                                country:
                                  description: >-
                                    A 2 character ISO country code. Required for
                                    an international counterparty
                                  type: string
                                postal_code:
                                  description: >-
                                    Postal code (5-digit or 5+4 Zip Code for
                                    U.S. addresses)
                                  type: string
                                state:
                                  description: >-
                                    U.S. State (two letter abbreviation). If an
                                    international wire counterparty this is the
                                    Province or Region (max 35 characters). If
                                    omitted, populated from the Routing Number
                                    record for the wire counterparty; if no
                                    record is on file, the request is rejected.
                                  type: string
                                street_line_1:
                                  description: >-
                                    Street address (first line) (max 35
                                    characters)
                                  type: string
                                street_line_2:
                                  description: >-
                                    Street address (second line, if applicable)
                                    (max 35 characters)
                                  type: string
                              type: object
                            bank_name:
                              description: Name of the bank
                              type: string
                            routing_number:
                              description: >-
                                Valid 9-digit ABA routing transit number for the
                                bank holding the account. See the Routing Number
                                endpoint for additional information. For
                                international wires this can be a valid
                                BIC/SWIFT code
                              type: string
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` counterparty elements, starting after the counterparty
            described by `page_cursor`. If no more counterpartys are available,
            the resulting list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````